The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the Protected VM Group

Prev Next

This URL updates the protected VM group.

Resource URL

PUT /cloud/cluster/<id>/vmgroup

Request Parameters

URL Parameters

Field Name

Description

Data Type

Mandatory

id

Cluster id

Number

Yes

Payload Request Parameters

Field Name

Description

Data Type

Mandatory

oldName

Protected VM group name which needs to be updated

String

Yes

name

New name for protected VM group

String

Yes

description

Protected VM group description

String

No

vpc

VPC where the protected VM group has been created

Array

Yes

resourceGroup

Resource group list in case of Azure

Array

Yes

advancedAgentSettings

Traffic inspection settings

Object

Yes

protectedObjects

List of the protected subnets

Array

Yes

Details of fields in advancedAgentSettings:

Field Name

Description

Data Type

Mandatory

trafficProcessing

Traffic processing direction. Values can be:

  • Ingress

  • Egress

  • Ingress & Egress

String

Yes

inspectionMode

Inspection mode. Values can be :

  • IPS

  • IDS

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned:

Field Name

Description

Data Type

status

Set to 1 if the update was successful

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/cloud/cluster/101/vmgroup

Payload

{
	  "oldName": “Protected_VMGroup”,
                "name": "Protected_VMGroup",
                "description": "api",
                "vpc": ["vpc-06b3ce61(Protected_test)"],
                "advancedAgentSettings":
                {
                    "trafficProcessing": "Ingress & Egress",
                    "inspectionMode": "ips"
                },
                "protectedObjects":
                [
                    "subnet-bde05df4(Protected_subnet)"
                ]
 }

Response

{
" status ": 1
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error message: internal server error

2

400

11001

VM group name is required

3

400

11001

Inspection mode is required

4

400

11001

Invalid Inspection mode, it should be one of: <valid list>

5

400

11001

Traffic processing is required

6

400

11001

Invalid traffic processing, it should be one of: <list>

7

400

11001

Old VM group name is required